From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/em-websocket/
Date: Sun, 25 Nov 2018 21:58:38 +0000 (UTC) [thread overview]
Message-ID: <1543182714.57fc5aa90c123f61011a95bf19c5f6df4ae11120.bman@gentoo> (raw)
commit: 57fc5aa90c123f61011a95bf19c5f6df4ae11120
Author: Aaron Bauman <bman <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 25 21:51:54 2018 +0000
Commit: Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Nov 25 21:51:54 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57fc5aa9
dev-ruby/em-websocket: new package. supports www-apps/jekyll bump
Signed-off-by: Aaron Bauman <bman <AT> gentoo.org>
dev-ruby/em-websocket/Manifest | 1 +
dev-ruby/em-websocket/em-websocket-0.5.1.ebuild | 36 +++++++++++++++++++++++++
dev-ruby/em-websocket/metadata.xml | 11 ++++++++
3 files changed, 48 insertions(+)
diff --git a/dev-ruby/em-websocket/Manifest b/dev-ruby/em-websocket/Manifest
new file mode 100644
index 00000000000..1d6e1bc1ba1
--- /dev/null
+++ b/dev-ruby/em-websocket/Manifest
@@ -0,0 +1 @@
+DIST em-websocket-0.5.1.tar.gz 27792 BLAKE2B 5aa8b9b9a1bf7066086c3115358a01054dbd24c3b9e7b454210c653aa25face2230e5504e0fc3a13d4770bcfcdf5d792c1914f173ec8d83d1b97ee7c169636af SHA512 ca2b4e2e4be663a5932fe63ed0efab169fbee9aec50f9780c1ee5df0efa300acb58410b97a22d5d10a2cb9195c2a68f6c71bf4e070ee6d915c6abf4015aa5d94
diff --git a/dev-ruby/em-websocket/em-websocket-0.5.1.ebuild b/dev-ruby/em-websocket/em-websocket-0.5.1.ebuild
new file mode 100644
index 00000000000..9e941fc5e43
--- /dev/null
+++ b/dev-ruby/em-websocket/em-websocket-0.5.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="EventMachine based WebSocket server"
+HOMEPAGE="https://rubygems.org/gems/em-websocket"
+SRC_URI="https://github.com/igrigorik/em-websocket/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=""
+RDEPEND=""
+
+ruby_add_rdepend "
+ >=dev-ruby/eventmachine-0.5
+ >=dev-ruby/http_parser_rb-0.6.0
+"
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}/
+ doins -r examples || die "Failed to install examples"
+}
diff --git a/dev-ruby/em-websocket/metadata.xml b/dev-ruby/em-websocket/metadata.xml
new file mode 100644
index 00000000000..6c884949856
--- /dev/null
+++ b/dev-ruby/em-websocket/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>bman@gentoo.org</email>
+ <name>Aaron Bauman</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">igrigorik/em-websocket</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2018-11-25 21:58 UTC|newest]
Thread overview: 14+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-11-25 21:58 Aaron Bauman [this message]
-- strict thread matches above, loose matches on Subject: below --
2018-11-26 6:20 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/em-websocket/ Hans de Graaff
2018-11-29 7:30 Hans de Graaff
2018-12-10 7:55 Hans de Graaff
2019-02-02 10:36 Hans de Graaff
2020-09-25 6:09 Hans de Graaff
2020-10-04 5:42 Hans de Graaff
2021-07-06 6:56 Hans de Graaff
2021-10-09 7:27 Hans de Graaff
2021-11-11 7:04 Hans de Graaff
2023-03-12 12:09 Hans de Graaff
2023-03-12 12:09 Hans de Graaff
2023-07-12 7:46 Hans de Graaff
2023-08-29 17:44 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1543182714.57fc5aa90c123f61011a95bf19c5f6df4ae11120.bman@gentoo \
--to=bman@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox